const RED = 'rgb(255, 0, 0)';
const BLUE = 'rgb(0, 0, 255)';

module.exports = {
  '@tags': ['decoupled_pages'],
  before(browser) {
    browser.drupalInstall({
      setupFile: 'modules/contrib/decoupled_pages/tests/src/NightwatchTestSetupFile.php',
    });
  },
  'Test that the RED decoupled page text loads.': function (browser) {
    browser.drupalRelativeURL('/decoupled_pages/examples/red');
    browser.waitForElementVisible('.decoupled-pages-example-text').execute(function () {
      const p = document.getElementsByClassName('decoupled-pages-example-text').item(0);
      return window.getComputedStyle(p).getPropertyValue('color');
    }, function (color) {
      browser.assert.equal(color.value, RED);
    });
  },
  'Test that the BLUE decoupled page text loads.': (browser) => {
    browser.drupalRelativeURL('/decoupled_pages/examples/blue');
    browser.waitForElementVisible('.decoupled-pages-example-text').execute(function () {
      const p = document.getElementsByClassName('decoupled-pages-example-text').item(0);
      return window.getComputedStyle(p).getPropertyValue('color')
    }, function (color) {
      browser.assert.equal(color.value, BLUE);
    });
  },
  'Test that the alternate decoupled page exists.': (browser) => {
    browser.drupalRelativeURL('/decoupled_pages/examples/blue/alternate');
    browser.waitForElementVisible('.decoupled-pages-example-text').execute(function () {
      const p = document.getElementsByClassName('decoupled-pages-example-text').item(0);
      return window.getComputedStyle(p).getPropertyValue('color')
    }, function (color) {
      browser.assert.equal(color.value, BLUE);
    });
  }
};
